import { createStore } from 'vuex'

export default createStore({
  state: {
    userToken: localStorage.getItem('userToken') || null,
    refreshToken: localStorage.getItem('refreshToken') || null
  },
  mutations: {
    setTokens ({ userToken, refreshToken }, { newToken, newRefreshToken }) {
      userToken = newToken
      localStorage.setItem('userToken', newToken)
      refreshToken = newRefreshToken
      localStorage.setItem('refreshToken', newRefreshToken)
    }
  },
  getters: {
    token ({ userToken }) {
      return userToken
    }
  },
  actions: {
  },
  modules: {
  }
})
